public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Zdenek Pytela <zpytela@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: Run systemd-homed test only if systemd_homed_t exists
Date: Fri, 11 Sep 2026 13:20:39 GMT	[thread overview]
Message-ID: <178913283914.1.14635411260142754138.tests-selinux-6fc4e1ae72e9@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 6fc4e1ae72e950f542daa9374d03d4e12699d6f1
            Author : Zdenek Pytela <zpytela@redhat.com>
            Date   : 2023-04-28T16:33:52+00:00
            Stats  : +1/-1 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/6fc4e1ae72e950f542daa9374d03d4e12699d6f1?branch=pr775-checkpolicy-revdeps

            Log:
            Run systemd-homed test only if systemd_homed_t exists

The systemd-homed service is not confined yet so no particular type
is assigned to the executable and the process, neither there are rules
in place to make the service run successfully.

---
diff --git a/selinux-policy/systemd-homed/runtest.sh b/selinux-policy/systemd-homed/runtest.sh
index 5534668..c408608 100755
--- a/selinux-policy/systemd-homed/runtest.sh
+++ b/selinux-policy/systemd-homed/runtest.sh
@@ -109,7 +109,7 @@ expect -f  - <<<'
 }
 
 rlJournalStart
-    if [ ! -f /usr/lib/systemd/systemd-homed ] ; then
+    if ! seinfo -t systemd_homed_t | grep -q systemd_homed_t ; then
         rlLog "Not applicable to this OS version."
         rlJournalEnd
         exit 0

                 reply	other threads:[~2026-09-11 13:20 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913283914.1.14635411260142754138.tests-selinux-6fc4e1ae72e9@fedoraproject.org \
    --to=zpytela@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox